{ lib, ... }:
with lib;
{
  options.machine.minecraft-server = {
    enable = mkEnableOption "Minecraft Server";
    port = mkOption {
      type = types.port;
      default = 25565;
      description = "Listen port.";
    };
  };
}
